Package javax.security.auth.message.config

## Interface ServerAuthConfig

All Superinterfaces:
  `AuthConfig`

    public interface ServerAuthConfig
    extends AuthConfig

### Method Summary

All Methods Instance Methods Abstract Methods
`ServerAuthContext` `getAuthContext​(java.lang.String authContextID, javax.security.auth.Subject serviceSubject, java.util.Map properties)`

### Methods inherited from interface javax.security.auth.message.config.AuthConfig

`getAppContext, getAuthContextID, getMessageLayer, isProtected, refresh`

### Method Detail

#### getAuthContext

    ServerAuthContext getAuthContext​(java.lang.String authContextID,
                                     javax.security.auth.Subject serviceSubject,
                                     java.util.Map properties)
                              throws AuthException

Throws:
  `AuthException`